Next Previous Contents

## 2. Getting, Building and Running

## 2.1 Getting

If you re lazy, or don't want to install any support libraries then Peter Alexandrou has started hosting the X-Chat static binary webpage

The main distribution point for XChat is the XChat homepage, XChat also needs GTK. Optionally XChat can use GNOME and Perl.

## 2.2 Building

XChat uses the GNU autoconf system, so building it is quite easy, for most systems the auto detection will work:

    ./configure ; make ; su ; make install

On some systems gmake might be needed rather than make.

The configure script can be passed some options as well

- --disable-perl = Disables Perl support
- --disable-gnome = Disables GNOME support

Be aware that if you don't have perl or GNOME the configure script will pick this up and you don't need to pass these options, they are only if for when you do have them, but don't want support for them.

If you are having problems with this method you can try the old method:

    cp Makefile.gtk Makefile ; make ; su ; make install

## 2.3 Running

The build process makes a binary called xchat. If you installed it typing xchat at the console should run it, if not cd into the XChat directory and type ./xchat

The directory ~/.xchat should be created for you, XChat uses this directory to store per-user settings and logs.

Next Previous Contents